package sample.org.itscool.msgbord;

import java.util.List;

import org.itscool.weber.action.Action;
import org.itscool.weber.action.ActionBucket;

/**
 * メッセージ削除アクション
 */
public class DeleteMessageAction extends Action {
	/**
	 * 指定されたメッセージを削除します
	 * @param bucket ActionBucketインスタンス
	 * @return 正常に処理が完了した場合は、"success"を返します
	 */
    public String doExecute(ActionBucket bucket){
		Message message = (Message)bucket.getForm();
		MessageDao dao = new MessageDao();
		dao.delete(message);
		
		List messages = (List)dao.getAllData();
		bucket.setAttribute("messages", messages);
        return "success";
	}
}
